#
# spec file for package python-crispy-bootstrap3
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-crispy-bootstrap3
Version:        2024.1
Release:        3.1
Summary:        Bootstrap3 template pack for django-crispy-forms
License:        MIT
URL:            https://github.com/django-crispy-forms/crispy-bootstrap3
Source:         https://files.pythonhosted.org/packages/source/c/crispy-bootstrap3/crispy-bootstrap3-%{version}.tar.gz
BuildRequires:  %{python_module base >= 3.8}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools >= 61.0}
BuildRequires:  %{python_module wheel}
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module Django >= 3.2}
BuildRequires:  %{python_module django-crispy-forms >= 1.14.0}
BuildRequires:  %{python_module pytest-django}
BuildRequires:  %{python_module pytest}
# /SECTION
BuildRequires:  fdupes
Requires:       python-Django >= 3.2
Requires:       python-django-crispy-forms >= 1.14.0
BuildArch:      noarch
%python_subpackages

%description
Bootstrap3 template pack for django-crispy-forms

%prep
%autosetup -p1 -n crispy-bootstrap3-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
export DJANGO_SETTINGS_MODULE=tests.test_settings
export PYTHONPATH=$PWD
# https://github.com/django-crispy-forms/crispy-bootstrap3/issues/12
donttest="test_form_show_errors_non_field_errors or test_bootstrap_form_show_errors_bs3"
%pytest -k "not ($donttest)"

%files %{python_files}
%doc CHANGELOG.md README.md
%license LICENSE
%{python_sitelib}/crispy_bootstrap3
%{python_sitelib}/crispy_bootstrap3-%{version}.dist-info

%changelog
* Tue Apr 15 2025 Markéta Machová <mmachova@suse.com>
- Skip tests failing with Django 5.2
* Fri Mar 22 2024 Max Lin <mlin@suse.com>
- Add %%{?sle15_python_module_pythons}
* Sun Jan 14 2024 Dirk Müller <dmueller@suse.com>
- update to 2024.1:
  * Updated supported versions:
    + Django 3.2, 4.2 and 5.0.
    + Python 3.8+.
  * Fixed form-control class issue with checkboxes.
* Tue Jul 18 2023 Markéta Machová <mmachova@suse.com>
- Initial packaging (v2022.1), needed by django-crispy-forms v2
